profile
viewpoint
Sebastian Murphy sebasmurphy St Louis, MO

cydivision/climbnet 0

Climbnet - Detect and segment indoor climbing holds

LifelongLearner13/always-blue 0

Globalhack 7 Project

sebasmurphy/about 0

Sourcegraph blog, feature announcements, and website (about.sourcegraph.com)

sebasmurphy/algo 0

Set up a personal IPSEC VPN in the cloud

sebasmurphy/detectron2 0

Detectron2 is FAIR's next-generation platform for object detection and segmentation.

sebasmurphy/dockerprep 0

Artifacts for our Docker presentation

sebasmurphy/express 0

Fast, unopinionated, minimalist web framework for node.

startedNetflix/repokid

started time in 3 days

startedsalesforce/policy_sentry

started time in 3 days

startedTonejs/Tone.js

started time in 5 days

startedgooglecreativelab/chrome-music-lab

started time in 5 days

startedkahun/awesome-sysadmin

started time in 5 days

startedjuxt/crux

started time in 6 days

startedevanw/esbuild

started time in 6 days

startedFinancial-Times/polyfill-service

started time in 6 days

startedphilhawksworth/lazy-load-with-nlm

started time in 6 days

startedTryGhost/Roon

started time in 6 days

startedTryGhost/Tribeca

started time in 6 days

startedTryGhost/London

started time in 6 days

startedTryGhost/Argon

started time in 6 days

startedTryGhost/Editorial

started time in 6 days

startedTryGhost/eleventy-starter-ghost

started time in 6 days

startedTryGhost/Lyra

started time in 6 days

startedTryGhost/Starter

started time in 6 days

startedTryGhost/Casper

started time in 6 days

startedzutrinken/attila

started time in 6 days

startedliljencrantz/crush

started time in 6 days

startedmeagmohit/EEG-Datasets

started time in 6 days

startediopred/bruxism

started time in 7 days

push eventsebasmurphy/VisSatSatelliteStereo

Sebastian Murphy

commit sha b2fc5faf18427e1b54e7861da71cc4eccde17548

update numba version

view details

push time in 7 days

startedsimdjson/simdjson

started time in 7 days

startedhephaest0s/usbkill

started time in 7 days

startedceres-solver/ceres-solver

started time in 8 days

startedShawn-Shan/fawkes

started time in 8 days

startedether/etherpad-lite

started time in 13 days

startedplasma-umass/coz

started time in 13 days

startedbrundonsmith/website

started time in 13 days

startedytdl-org/youtube-dl

started time in 14 days

startedstephenci/ZideX

started time in 16 days

fork sebasmurphy/ImageBlockX

Block the loading of images in Firefox, saving your data

https://ckuhl.com/s/ImageBlockX

fork in 17 days

startedckuhl/ImageBlockX

started time in 17 days

startedhwayne/awesome-cold-showers

started time in 20 days

startedMylesBorins/shortlink

started time in a month

startedphilhawksworth/lazy-load-with-nlm

started time in a month

fork sebasmurphy/medium-export

A demo of generating an JAMstack site from an RSS feed

https://rss-jamstack.netlify.com/

fork in a month

startedmalyw/chrome-timeline-to-gif-demo

started time in a month

startedautomerge/automerge

started time in a month

startedequinusocio/xity-starter

started time in a month

startedscottishstoater/chriscollins.me

started time in a month

startednarative/gatsby-theme-novela

started time in a month

startedjuhitrivedi/cape

started time in a month

startedstackbithq/stackbit-theme-reflex

started time in a month

startedscottishstoater/jamstack-web-starter

started time in a month

startedmicrosoft/PowerToys

started time in a month

startedphilhawksworth/eleventyone

started time in a month

startedTryGhost/eleventy-starter-ghost

started time in a month

startedtailwindtoolbox/Minimal-Blog

started time in a month

startedphilhawksworth/medium-export

started time in a month

startedjustadudewhohacks/face-api.js

started time in 2 months

startedthoughtworksarts/EmoPy

started time in 2 months

startedTomHarte/CLK

started time in 2 months

startedemeryberger/Heap-Layers

started time in 2 months

startedlinuxserver/docker-unifi-controller

started time in 2 months

startedNVlabs/stylegan2

started time in 2 months

startedNVlabs/stylegan

started time in 2 months

startedmicrosoft/ALEX

started time in 2 months

startedgfacciol/mgm

started time in 2 months

startedewwhite/zfs-ha

started time in 2 months

startedyemount/pose-animator

started time in 2 months

startedhuggingface/nlp

started time in 2 months

startedtravisjeffery/jocko

started time in 2 months

starteddohliam/dropin-minimal-css

started time in 2 months

startedmicrosoft/ProjectReunion

started time in 2 months

startedmyspaghetti/macos-virtualbox

started time in 2 months

startedanandpawara/Real_Time_Image_Animation

started time in 2 months

startedv002/v002-Camera-Live

started time in 2 months

startedEnergizedProtection/block

started time in 2 months

startedLingDong-/shan-shui-inf

started time in 2 months

startedsnabbco/snabb

started time in 2 months

startedpsalias2006/Google2Csv

started time in 2 months

startedfree5gc/free5gc

started time in 2 months

startedEloston/ungoogled-chromium

started time in 2 months

startedninoseki/shodan-dojo

started time in 2 months

startedninoseki/shodan-dojo

started time in 2 months

startedsubspacecloud/subspace

started time in 2 months

startedcodenotary/immudb

started time in 3 months

startedmkocabas/EpipolarPose

started time in 3 months

startedexpnkx/fast_io

started time in 3 months

issue commentcmla/s2p

erros running on IARPA dataset

@carlodef, thanks for the clarification.

Is there code included in the project to merge all of the outputs after the multiple runs have completed? Or is this something that you achieved in matlab or a similar tool after the fact. The paper linked seems to imply that this is already part of the process.

sebasmurphy

comment created time in 3 months

issue openedcmla/s2p

erros running on IARPA dataset

I'm trying to run your solution on the IARPA Explorer dateset. Everything runs fine with just a few images but once I increase the number of images the processes that get spawned start crashing.

Has anyone else run into this issue. The docker process is running on a 16 core machine with 40GB memory so I don't believe that it is a hardware issue.

config

{
  images:[25 images from the dataset]
  "roi": {
    "h": 1500.0,
    "w": 1500.0,
    "y": 14000,
    "x": 16000
  },
  "max_processes": 14,
  "debug": true,
  "full_img": false,
  "horizontal_margin": 20,
  "vertical_margin": 5,
  "tile_size": 1000,
  "disp_range_method": "sift",
  "msk_erosion": 0,
  "dsm_resolution": 0.5,
  "register_with_shear": true
}

RUN: ['plambda', '/bigdata/output/tiles/row_0014000_height_750/col_0016750_width_750/pair_22/rectified_disp.tif', '
/bigdata/output/tiles/row_0014000_height_750/col_0016750_width_750/pair_22/rectified_ref.tif', '/root/s2p/s2p_tmp/s
2p_r8u9295n.tif', 'x isfinite y isfinite z isfinite and and', '-o', '/bigdata/output/tiles/row_0014000_height_750/c
ol_0016750_width_750/pair_22/rectified_mask.png']
plambda correspondence "x" = "/bigdata/output/tiles/row_0014000_height_750/col_0016750_width_750/pair_22/rectified_
disp.tif"
plambda correspondence "y" = "/bigdata/output/tiles/row_0014000_height_750/col_0016750_width_750/pair_22/rectified_
ref.tif"
plambda correspondence "z" = "/root/s2p/s2p_tmp/s2p_r8u9295n.tif"
0:00:00.711253
12terminate called after throwing an instance of 'std::bad_alloc'
  what():  std::bad_alloc
Exception in stereo_matching
Traceback (most recent call last):
  File "/root/s2p/s2p/parallel.py", line 43, in tilewise_wrapper
    out = fun(*args)
  File "/root/s2p/s2p/__init__.py", line 204, in stereo_matching
    max_disp_range=cfg['max_disp_range'])
  File "/root/s2p/s2p/block_matching.py", line 180, in compute_disparity_map
    timeout=timeout,
  File "/root/s2p/s2p/common.py", line 93, in run
    env=env, timeout=timeout, check=True)
  File "/usr/lib/python3.6/subprocess.py", line 438, in run
    output=stdout, stderr=stderr)
subprocess.CalledProcessError: Command '['mgm', '-r', '-1007', '-R', '246', '-s', 'vfit', '-t', 'census', '-O', '8'
, '-confidence_consensusL', '/bigdata/output/tiles/row_0014750_height_750/col_0016000_width_750/pair_21/rectified_d
isp_confidence.tif', '/bigdata/output/tiles/row_0014750_height_750/col_0016000_width_750/pair_21/rectified_ref.tif'
, '/bigdata/output/tiles/row_0014750_height_750/col_0016000_width_750/pair_21/rectified_sec.tif', '/bigdata/output/
tiles/row_0014750_height_750/col_0016000_width_750/pair_21/rectified_disp.tif']' died with <Signals.SIGABRT: 6>.
multiprocessing.pool.RemoteTraceback: 
"""
Traceback (most recent call last):
  File "/usr/lib/python3.6/multiprocessing/pool.py", line 119, in worker
    result = (True, func(*args, **kwds))
  File "/root/s2p/s2p/parallel.py", line 43, in tilewise_wrapper
    out = fun(*args)
  File "/root/s2p/s2p/__init__.py", line 204, in stereo_matching
    max_disp_range=cfg['max_disp_range'])
  File "/root/s2p/s2p/block_matching.py", line 180, in compute_disparity_map
    timeout=timeout,
  File "/root/s2p/s2p/common.py", line 93, in run
    env=env, timeout=timeout, check=True)
  File "/usr/lib/python3.6/subprocess.py", line 438, in run
    output=stdout, stderr=stderr)
subprocess.CalledProcessError: Command '['mgm', '-r', '-1007', '-R', '246', '-s', 'vfit', '-t', 'census', '-O', '8'
, '-confidence_consensusL', '/bigdata/output/tiles/row_0014750_height_750/col_0016000_width_750/pair_21/rectified_d
isp_confidence.tif', '/bigdata/output/tiles/row_0014750_height_750/col_0016000_width_750/pair_21/rectified_ref.tif'
, '/bigdata/output/tiles/row_0014750_height_750/col_0016000_width_750/pair_21/rectified_sec.tif', '/bigdata/output/
tiles/row_0014750_height_750/col_0016000_width_750/pair_21/rectified_disp.tif']' died with <Signals.SIGABRT: 6>.
"""
The above exception was the direct cause of the following exception:
Traceback (most recent call last):
  File "/usr/local/bin/s2p", line 11, in <module>
    load_entry_point('s2p', 'console_scripts', 's2p')()
  File "/root/s2p/s2p/cli.py", line 22, in main
    s2p.main(user_cfg)
  File "/root/s2p/s2p/__init__.py", line 614, in main
    timeout=timeout)
  File "/root/s2p/s2p/parallel.py", line 102, in launch_calls
    outputs.append(r.get(timeout))
  File "/usr/lib/python3.6/multiprocessing/pool.py", line 644, in get
    raise self._value
subprocess.CalledProcessError: Command '['mgm', '-r', '-1007', '-R', '246', '-s', 'vfit', '-t', 'census', '-O', '8'
, '-confidence_consensusL', '/bigdata/output/tiles/row_0014750_height_750/col_0016000_width_750/pair_21/rectified_d
isp_confidence.tif', '/bigdata/output/tiles/row_0014750_height_750/col_0016000_width_750/pair_21/rectified_ref.tif'
, '/bigdata/output/tiles/row_0014750_height_750/col_0016000_width_750/pair_21/rectified_sec.tif', '/bigdata/output/
tiles/row_0014750_height_750/col_0016000_width_750/pair_21/rectified_disp.tif']' died with <Signals.SIGABRT: 6>.
root@1f0b5028a89a:~/s2p# 34567

created time in 3 months

more